Bug 144487 - Replace math/libgmp4 with math/gmp
Replace math/libgmp4 with math/gmp
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-05 08:30 UTC by Alex Dupre
Modified: 2010-04-19 11:50 UTC (History)
0 users

See Also:


Attachments
gmp.diff (92.30 KB, patch)
2010-03-05 08:30 UTC, Alex Dupre
no flags Details | Diff
gmp.diff (93.47 KB, patch)
2010-04-12 13:11 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2010-03-05 08:30:00 UTC
I'm going to switch all ports depending on math/libgmp4 to use the new math/gmp port (and then remove the former).
So I'm asking a full ports tree build with the attached patch.
Comment 1 Alex Dupre freebsd_committer 2010-03-05 08:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

A full ports tree build is needed.
Comment 2 Edwin Groothuis freebsd_committer 2010-03-05 08:32:55 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 3 erwin 2010-04-12 12:31:42 UTC
Unfortunately, this patch is outdated with a number of conflicting =
changes after the jpeg/png updates.  Could you update it with the right =
PORTREVISIONs?

Thanks,
-erwin=
Comment 4 Erwin Lansing freebsd_committer 2010-04-12 12:34:32 UTC
State Changed
From-To: open->feedback

patch outdated
Comment 5 Alex Dupre freebsd_committer 2010-04-12 13:11:10 UTC
Erwin Lansing ha scritto:
> Unfortunately, this patch is outdated with a number of conflicting changes after the jpeg/png updates.  Could you update it with the right PORTREVISIONs?

Updated.

-- 
Alex Dupre
Comment 6 Erwin Lansing freebsd_committer 2010-04-12 16:23:13 UTC
State Changed
From-To: feedback->analyzed

New patch received and running on the cluster as i386-8-exp
Comment 7 dfilter freebsd_committer 2010-04-19 11:43:59 UTC
ale         2010-04-19 10:43:43 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED UPDATING 
    audio/cheesetracker  Makefile 
    devel/avr-gcc        Makefile 
    devel/binutils       Makefile 
    devel/cross-gcc      Makefile 
    devel/darcs          Makefile 
    devel/djgpp-gcc      Makefile 
    devel/hs-Stream      Makefile 
    devel/hs-alex        Makefile 
    devel/hs-c2hs        Makefile 
    devel/hs-cpphs       Makefile 
    devel/hs-drift       Makefile 
    devel/hs-haddock     Makefile 
    devel/hs-happy       Makefile 
    devel/hs-hdoc        Makefile 
    devel/hs-hmake       Makefile 
    devel/hs-hoogle      Makefile 
    devel/hs-idoc        Makefile 
    devel/hs-mueval      Makefile 
    devel/hs-uuagc       Makefile 
    devel/libYGP         Makefile 
    devel/libuninum      Makefile 
    devel/mingw32-gcc    Makefile 
    devel/ppl            Makefile 
    devel/py-mx-experimental Makefile 
    devel/root           Makefile 
    devel/sfslite        Makefile 
    dns/dhid             Makefile 
    dns/dhisd            Makefile 
    finance/aqbanking    Makefile 
    finance/ledger       Makefile 
    games/gnubg          Makefile 
    irc/ircd-ru          Makefile 
    java/kaffe           Makefile 
    lang/ecl             Makefile 
    lang/gcc42           Makefile 
    lang/gcc43           Makefile 
    lang/gcc44           Makefile 
    lang/gcc45           Makefile 
    lang/gcl             Makefile 
    lang/ghc             Makefile 
    lang/gnat            Makefile 
    lang/gnat-gcc43      Makefile 
    lang/gnat-gcc44      Makefile 
    lang/gnustep-base    Makefile 
    lang/guile           Makefile 
    lang/hs-brainfuck    Makefile 
    lang/hs-unlambda     Makefile 
    lang/ikarus          Makefile 
    lang/librep          Makefile 
    lang/maude           Makefile 
    lang/mlton           Makefile 
    lang/moscow_ml       Makefile 
    lang/mozart          Makefile 
    lang/newlisp         Makefile 
    lang/ofc             Makefile 
    lang/open-cobol      Makefile 
    lang/open-cobol-devel Makefile 
    lang/parrot          Makefile 
    lang/php4            Makefile.ext 
    lang/php5            Makefile.ext 
    lang/pike72          Makefile 
    lang/pike76          Makefile 
    lang/pike78          Makefile 
    lang/q               Makefile 
    lang/qscheme         Makefile 
    lang/stklos          Makefile 
    lang/swi-pl          Makefile 
    lang/whitespace      Makefile 
    math/abakus          Makefile 
    math/cgal            Makefile 
    math/cln             Makefile 
    math/cvc3            Makefile 
    math/glpk            Makefile 
    math/gmp-ecm         Makefile distinfo 
    math/hs-Agda         Makefile 
    math/hs-Agda-executable Makefile 
    math/igraph          Makefile 
    math/libgmp4         Makefile 
    math/libjbigi        Makefile 
    math/mpc             Makefile 
    math/mpfr            Makefile 
    math/msieve          Makefile 
    math/ndiff           Makefile 
    math/ntl             Makefile 
    math/p5-Math-BigInt-GMP Makefile 
    math/p5-Math-GMP     Makefile 
    math/pari            Makefile 
    math/php4-gmp        Makefile 
    math/php5-gmp        Makefile 
    math/polymake        Makefile 
    math/py-gmpy         Makefile distinfo 
    math/ruby-gmp        Makefile 
    math/sdpa-gmp        Makefile 
    math/surf            Makefile 
    math/testu01         Makefile 
    math/wcalc           Makefile 
    misc/kdeutils3       Makefile 
    misc/kdeutils4       Makefile 
    net-mgmt/kismet      Makefile 
    net-p2p/gnunet       Makefile 
    net-p2p/i2p          Makefile 
    net-p2p/ktorrent     Makefile 
    net-p2p/ktorrent-devel Makefile 
    net-p2p/ktorrent2    Makefile 
    net/kdenetwork4      Makefile 
    net/p5-Crypt-DH-GMP  Makefile 
    ports-mgmt/porte     Makefile 
    print/hs-hscolour    Makefile 
    print/lilypond       Makefile 
    security/botan       Makefile 
    security/libecc      Makefile 
    security/libtomcrypt Makefile 
    security/lsh         Makefile 
    security/nettle      Makefile 
    security/pbc         Makefile 
    security/py-pycrypto Makefile 
    security/sfs         Makefile 
    security/ssh         Makefile 
    security/ssss        Makefile 
    textproc/hs-haxml    Makefile 
    textproc/hs-tagsoup  Makefile 
    textproc/pandoc      Makefile 
    x11-wm/xmonad        Makefile 
    x11-wm/xmonad-contrib Makefile 
    x11/hs-x11-ghc       Makefile 
    x11/xmobar           Makefile 
  Added files:
    devel/ppl/files      patch-configure 
    math/php4-gmp/files  patch-gmp.c 
  Log:
  Switch to use newer GMP version.
  
  PR:             ports/144487
  Submitted by:   ale
  Approved by:    portmgr (-exp run by erwin)
  
  Revision  Changes    Path
  1.2124    +2 -1      ports/MOVED
  1.916     +10 -1     ports/UPDATING
  1.36      +2 -2      ports/audio/cheesetracker/Makefile
  1.72      +2 -1      ports/devel/avr-gcc/Makefile
  1.9       +2 -1      ports/devel/binutils/Makefile
  1.15      +2 -2      ports/devel/cross-gcc/Makefile
  1.59      +2 -2      ports/devel/darcs/Makefile
  1.10      +2 -2      ports/devel/djgpp-gcc/Makefile
  1.7       +2 -1      ports/devel/hs-Stream/Makefile
  1.29      +2 -2      ports/devel/hs-alex/Makefile
  1.42      +2 -2      ports/devel/hs-c2hs/Makefile
  1.20      +2 -1      ports/devel/hs-cpphs/Makefile
  1.24      +2 -2      ports/devel/hs-drift/Makefile
  1.36      +2 -1      ports/devel/hs-haddock/Makefile
  1.26      +2 -1      ports/devel/hs-happy/Makefile
  1.17      +2 -2      ports/devel/hs-hdoc/Makefile
  1.29      +2 -2      ports/devel/hs-hmake/Makefile
  1.2       +2 -1      ports/devel/hs-hoogle/Makefile
  1.16      +2 -2      ports/devel/hs-idoc/Makefile
  1.2       +2 -1      ports/devel/hs-mueval/Makefile
  1.8       +2 -1      ports/devel/hs-uuagc/Makefile
  1.14      +2 -1      ports/devel/libYGP/Makefile
  1.15      +2 -2      ports/devel/libuninum/Makefile
  1.40      +2 -1      ports/devel/mingw32-gcc/Makefile
  1.24      +2 -1      ports/devel/ppl/Makefile
  1.1       +21 -0     ports/devel/ppl/files/patch-configure (new)
  1.15      +2 -1      ports/devel/py-mx-experimental/Makefile
  1.25      +2 -2      ports/devel/root/Makefile
  1.15      +2 -1      ports/devel/sfslite/Makefile
  1.22      +2 -2      ports/dns/dhid/Makefile
  1.24      +2 -2      ports/dns/dhisd/Makefile
  1.22      +2 -2      ports/finance/aqbanking/Makefile
  1.9       +2 -2      ports/finance/ledger/Makefile
  1.33      +2 -2      ports/games/gnubg/Makefile
  1.17      +2 -2      ports/irc/ircd-ru/Makefile
  1.85      +2 -2      ports/java/kaffe/Makefile
  1.23      +2 -2      ports/lang/ecl/Makefile
  1.358     +2 -2      ports/lang/gcc42/Makefile
  1.407     +2 -1      ports/lang/gcc43/Makefile
  1.433     +2 -1      ports/lang/gcc44/Makefile
  1.433     +2 -1      ports/lang/gcc45/Makefile
  1.52      +2 -2      ports/lang/gcl/Makefile
  1.83      +2 -2      ports/lang/ghc/Makefile
  1.20      +2 -2      ports/lang/gnat-gcc43/Makefile
  1.4       +2 -1      ports/lang/gnat-gcc44/Makefile
  1.61      +2 -2      ports/lang/gnat/Makefile
  1.102     +2 -1      ports/lang/gnustep-base/Makefile
  1.77      +2 -2      ports/lang/guile/Makefile
  1.2       +2 -1      ports/lang/hs-brainfuck/Makefile
  1.2       +2 -1      ports/lang/hs-unlambda/Makefile
  1.5       +2 -2      ports/lang/ikarus/Makefile
  1.78      +2 -1      ports/lang/librep/Makefile
  1.10      +2 -2      ports/lang/maude/Makefile
  1.26      +2 -2      ports/lang/mlton/Makefile
  1.36      +2 -2      ports/lang/moscow_ml/Makefile
  1.42      +2 -2      ports/lang/mozart/Makefile
  1.23      +2 -2      ports/lang/newlisp/Makefile
  1.14      +2 -2      ports/lang/ofc/Makefile
  1.37      +2 -2      ports/lang/open-cobol-devel/Makefile
  1.35      +2 -2      ports/lang/open-cobol/Makefile
  1.45      +2 -1      ports/lang/parrot/Makefile
  1.52      +1 -1      ports/lang/php4/Makefile.ext
  1.73      +1 -1      ports/lang/php5/Makefile.ext
  1.47      +2 -2      ports/lang/pike72/Makefile
  1.51      +2 -2      ports/lang/pike76/Makefile
  1.12      +2 -2      ports/lang/pike78/Makefile
  1.44      +2 -2      ports/lang/q/Makefile
  1.23      +2 -2      ports/lang/qscheme/Makefile
  1.19      +2 -2      ports/lang/stklos/Makefile
  1.54      +2 -1      ports/lang/swi-pl/Makefile
  1.4       +2 -2      ports/lang/whitespace/Makefile
  1.13      +2 -2      ports/math/abakus/Makefile
  1.10      +2 -2      ports/math/cgal/Makefile
  1.43      +2 -1      ports/math/cln/Makefile
  1.6       +2 -2      ports/math/cvc3/Makefile
  1.40      +2 -1      ports/math/glpk/Makefile
  1.5       +11 -6     ports/math/gmp-ecm/Makefile
  1.4       +3 -3      ports/math/gmp-ecm/distinfo
  1.2       +2 -1      ports/math/hs-Agda-executable/Makefile
  1.2       +2 -1      ports/math/hs-Agda/Makefile
  1.6       +2 -2      ports/math/igraph/Makefile
  1.42      +4 -1      ports/math/libgmp4/Makefile
  1.11      +2 -2      ports/math/libjbigi/Makefile
  1.9       +2 -1      ports/math/mpc/Makefile
  1.17      +2 -1      ports/math/mpfr/Makefile
  1.9       +1 -1      ports/math/msieve/Makefile
  1.8       +2 -2      ports/math/ndiff/Makefile
  1.17      +2 -1      ports/math/ntl/Makefile
  1.9       +2 -2      ports/math/p5-Math-BigInt-GMP/Makefile
  1.17      +2 -1      ports/math/p5-Math-GMP/Makefile
  1.50      +2 -1      ports/math/pari/Makefile
  1.4       +1 -0      ports/math/php4-gmp/Makefile
  1.1       +11 -0     ports/math/php4-gmp/files/patch-gmp.c (new)
  1.4       +1 -0      ports/math/php5-gmp/Makefile
  1.13      +2 -2      ports/math/polymake/Makefile
  1.5       +2 -2      ports/math/py-gmpy/Makefile
  1.3       +3 -3      ports/math/py-gmpy/distinfo
  1.9       +2 -2      ports/math/ruby-gmp/Makefile
  1.9       +2 -2      ports/math/sdpa-gmp/Makefile
  1.27      +2 -1      ports/math/surf/Makefile
  1.6       +2 -1      ports/math/testu01/Makefile
  1.10      +2 -2      ports/math/wcalc/Makefile
  1.128     +2 -2      ports/misc/kdeutils3/Makefile
  1.140     +2 -2      ports/misc/kdeutils4/Makefile
  1.27      +2 -2      ports/net-mgmt/kismet/Makefile
  1.76      +2 -2      ports/net-p2p/gnunet/Makefile
  1.58      +2 -1      ports/net-p2p/i2p/Makefile
  1.27      +2 -2      ports/net-p2p/ktorrent-devel/Makefile
  1.51      +2 -2      ports/net-p2p/ktorrent/Makefile
  1.37      +2 -2      ports/net-p2p/ktorrent2/Makefile
  1.156     +2 -2      ports/net/kdenetwork4/Makefile
  1.2       +2 -2      ports/net/p5-Crypt-DH-GMP/Makefile
  1.8       +2 -2      ports/ports-mgmt/porte/Makefile
  1.11      +2 -1      ports/print/hs-hscolour/Makefile
  1.71      +2 -2      ports/print/lilypond/Makefile
  1.52      +2 -1      ports/security/botan/Makefile
  1.17      +2 -2      ports/security/libecc/Makefile
  1.25      +2 -1      ports/security/libtomcrypt/Makefile
  1.48      +2 -2      ports/security/lsh/Makefile
  1.26      +2 -1      ports/security/nettle/Makefile
  1.4       +2 -1      ports/security/pbc/Makefile
  1.16      +2 -1      ports/security/py-pycrypto/Makefile
  1.36      +2 -2      ports/security/sfs/Makefile
  1.141     +2 -2      ports/security/ssh/Makefile
  1.4       +2 -2      ports/security/ssss/Makefile
  1.45      +2 -1      ports/textproc/hs-haxml/Makefile
  1.2       +2 -1      ports/textproc/hs-tagsoup/Makefile
  1.13      +2 -1      ports/textproc/pandoc/Makefile
  1.15      +2 -1      ports/x11-wm/xmonad-contrib/Makefile
  1.15      +2 -1      ports/x11-wm/xmonad/Makefile
  1.16      +2 -1      ports/x11/hs-x11-ghc/Makefile
  1.6       +2 -1      ports/x11/xmobar/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alex Dupre freebsd_committer 2010-04-19 11:44:30 UTC
State Changed
From-To: analyzed->closed

Committed.